MPI_Keyval_create(3)

NAME
MPI_Keyval_create - Generates a new communicator attribute key

SYNOPSIS
#include <mpi.h>
int MPI_Keyval_create(MPI_Copy_function *cpyfunc,
        MPI_Delete_function *delfunc,
        int *key, void *extra)

INPUT PARAMETERS
cpyfunc
    - Copy callback function for keyval
delfunc
    - Delete callback function for keyval
extra
    - Extra state for callback functions

OUTPUT PARAMETER
key - key value for future access (integer)

NOTES
This function is deprecated. It has been replaced with an MPI-2 function (see the "See also" section, below), which provides the same functionality. This function is (or effectively is) a wrapper to the replacement function, anyway. User programs should use the MPI-2 replacement function instead of this function. Some functions are deprecated because their names did not conform to the stricter naming conventions of MPI-2; others are deprecated because they have been replaced with more flexible functionality.

SEE ALSO
MPI_Comm_create_keyval

MORE INFORMATION
For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages). http://www.mpi-forum.org/

ACKNOWLEDGEMENTS
The LAM Team would like the thank the MPICH Team for the handy program to generate man pages ("doctext" from ftp://ftp.mcs.anl.gov/pub/sowing/sowing.tar.gz ), the initial formatting, and some initial text for most of the MPI-1 man pages.

LOCATION
keycreate.c